> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api-docs.papertracc.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api-docs.papertracc.com/_mcp/server.

# Get Sales Personnel By Id

GET https://api.papertracc.com/v1/profiles/sales-personnels/{id}

Fetches one sales personnel by UUID.

Reference: https://api-docs.papertracc.com/papertracc/profiles/sales-personnel/get-sales-personnel-by-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.
- `identity` header (required) — The identity for the active project.

## Servers

- `https://api.papertracc.com/v1` (Production, default)
- `https://api.papertracc.com/rc-1` (Release Candidate 1)

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

OK

- `data` (object, required)
  - `id` (string, required)
  - `project_id` (string, required)
  - `display_name` (string, required)
  - `first_name` (string, required)
  - `last_name` (string, required)
  - `email` (string, required)
  - `phone` (string, required)
  - `is_active` (boolean, required)
  - `created_at` (datetime, required)
- `status` (boolean, required)
- `message` (string, required)

## Examples

**Response**

```json
{
  "data": {
    "id": "9b6a1e3c-5f2d-4a8e-9c1b-2d3e4f5a6b7c",
    "project_id": "spruce-demo",
    "display_name": "Jane Smith",
    "first_name": "Jane",
    "last_name": "Smith",
    "email": "jane.smith@example.com",
    "phone": "+2348023456789",
    "is_active": true,
    "created_at": "2026-06-18T10:00:00Z"
  },
  "status": true,
  "message": "Successfully fetched sales personnel"
}
```

**SDK Code**

```python Profiles_Sales Personnel_Get Sales Personnel By Id_example
import requests

url = "https://api.papertracc.com/v1/profiles/sales-personnels/9b6a1e3c-5f2d-4a8e-9c1b-2d3e4f5a6b7c"

headers = {"Authorization": "Bearer <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Profiles_Sales Personnel_Get Sales Personnel By Id_example
const url = 'https://api.papertracc.com/v1/profiles/sales-personnels/9b6a1e3c-5f2d-4a8e-9c1b-2d3e4f5a6b7c';
const options = {method: 'GET', headers: {Authorization: 'Bearer <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Profiles_Sales Personnel_Get Sales Personnel By Id_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.papertracc.com/v1/profiles/sales-personnels/9b6a1e3c-5f2d-4a8e-9c1b-2d3e4f5a6b7c"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Profiles_Sales Personnel_Get Sales Personnel By Id_example
require 'uri'
require 'net/http'

url = URI("https://api.papertracc.com/v1/profiles/sales-personnels/9b6a1e3c-5f2d-4a8e-9c1b-2d3e4f5a6b7c")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <apiKey>'

response = http.request(request)
puts response.read_body
```

```java Profiles_Sales Personnel_Get Sales Personnel By Id_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.papertracc.com/v1/profiles/sales-personnels/9b6a1e3c-5f2d-4a8e-9c1b-2d3e4f5a6b7c")
  .header("Authorization", "Bearer <apiKey>")
  .asString();
```

```php Profiles_Sales Personnel_Get Sales Personnel By Id_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.papertracc.com/v1/profiles/sales-personnels/9b6a1e3c-5f2d-4a8e-9c1b-2d3e4f5a6b7c', [
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Profiles_Sales Personnel_Get Sales Personnel By Id_example
using RestSharp;

var client = new RestClient("https://api.papertracc.com/v1/profiles/sales-personnels/9b6a1e3c-5f2d-4a8e-9c1b-2d3e4f5a6b7c");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Profiles_Sales Personnel_Get Sales Personnel By Id_example
import Foundation

let headers = ["Authorization": "Bearer <apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.papertracc.com/v1/profiles/sales-personnels/9b6a1e3c-5f2d-4a8e-9c1b-2d3e4f5a6b7c")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```